<?php
/**
 * Home Widgets Template
 *
 * Please do not edit this file. This file is part of the CyberChimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */
?>
<div id="home_widgets">
	<div class="container">

		<?php do_action( 'home_widgets_before' ); ?>

		<ul class="widget-area xs-col-12" role="complementary">

			<?php
			if ( is_active_sidebar( 'home-widgets' ) ) {
				// Get sidebar widgets & count footer widgets number
				$sidebars_widgets = wp_get_sidebars_widgets();
				$home_widget_count = count($sidebars_widgets['home-widgets']);
				switch ($home_widget_count) {
					case 2: $class = "xs-col-6"; break;
					case 3: $class = "m-col-4"; break;
					case 4: $class = "s-col-3"; break;
					default: $class = "s-col-12";
				}
			} ?>

			<?php if( !dynamic_sidebar( 'home-widgets' ) ) : ?>

				<li class="widget-container s-col-3">
					<h3 class="widget-title"><?php _e('Pages', 'altitude' ); ?></h3>
					<ul>
						<?php wp_list_pages('title_li=' ); ?>
					</ul>
				</li>

				<li class="widget-container s-col-3">
					<h3 class="widget-title"><?php _e( 'Archives', 'altitude' ); ?></h3>
					<ul>
						<?php wp_get_archives('type=monthly'); ?>
					</ul>
				</li>

				<li class="widget-container s-col-3">
					<h3 class="widget-title"><?php _e('Categories', 'altitude' ); ?></h3>
					<ul>
						<?php wp_list_categories('show_count=1&title_li='); ?>
					</ul>
				</li>

				<li class="widget-container s-col-3">
					<h3 class="widget-title"><?php _e('Subscribe', 'altitude' ); ?></h3>
					<ul>
						<li><a href="<?php bloginfo('rss2_url'); ?>"><?php _e('Entries (RSS)', 'altitude' ); ?></a></li>
						<li><a href="<?php bloginfo('comments_rss2_url'); ?>"><?php _e('Comments (RSS)', 'altitude' ); ?></a></li>
					</ul>
				</li>

			<?php endif; // end sidebar widget area ?>

		</ul>

		<script type="text/javascript">
			jQuery('#home_widgets .widget-area > li').addClass('<?php echo $class; ?>');
		</script>

		<?php do_action( 'home_widgets_after' ); ?>

	</div><!-- .container -->
</div><!-- #home_widgets -->